<?php

namespace Drupal\orange_dam;

/**
 * The representation of an Orange DAM object.
 */
class OrangeDamKeyword implements OrangeDamItemInterface {

  /**
   * The RecordID value.
   *
   * @var string
   */
  public $id;

  /**
   * The keyword data.
   *
   * @var array
   */
  public $data;

  /**
   * The item type.
   *
   * @var string
   */
  public $type;

  /**
   * {@inheritdoc}
   */
  public function __construct(string $id, object $data, string $type) {
    $this->id = $id;
    $this->data = $data;
    $this->type = $type;
  }

  /**
   * {@inheritdoc}
   */
  public function id() {
    return $this->id;
  }

  /**
   * {@inheritdoc}
   */
  public function data() {
    return $this->data;
  }

  /**
   * {@inheritdoc}
   */
  public function type() {
    return $this->type;
  }

}
